Status: Resolved Priority: Should have
Author: Bastian Waidelich Category: Persistence
Created: 2010-11-24 Assigned To: Robert Lemke
Updated: 2010-12-17 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: findOneBy*() methods should return NULL if no item was found
Description

Currently all findOneBy*() methods of repositories return FALSE, if no records where found. As discussed this should be changed to
NULL as done in Extbase (see #10958).

Associated revisions
Revision 86305942 - 2010-12-17 13:30 - Robert Lemke

[!!!][~TASK] FLOW3 (Persistence): Make getFirst() return NULL on empty result

The QueryResult::getFirst() method – and consequently also the repository's
findOneBy*() method – returned FALSE if the result set was empty. Because
this is contrary to the conventions elsewhere in FLOW3, this changes the
behavior of getFirst() to return NULL instead.

Change-Id: Icee8712ee9d610f629b7703212dbd3920fa44c1d
Resolves: #11056

History
#1 - 2010-12-15 17:43 - Robert Lemke
- Assigned To changed from Bastian Waidelich to Robert Lemke
- Target version set to 1.0 alpha 14

#2 - 2010-12-15 18:33 - Robert Lemke
- Status changed from Accepted to Under Review
- % Done changed from 0 to 100

#3 - 2010-12-17 14:00 - Robert Lemke
- Status changed from Under Review to Resolved

Applied in changeset commit:"86305942ab4b150659b72fd96146f9e6e7802e00".
